

function FrameMoveStart()
  BattlePetFrame:StartMoving();
end

function FrameMoveEnd()
  BattlePetFrame:StopMovingOrSizing();
end

function hideShowFrames()
  if container:IsShown() then
    container:Hide();
	hideButton:SetText("Show");
  else	
	container:Show();
	hideButton:SetText("Hide");
  end
	
end

function BattlePetFrame_OnEvent(self, event)
	if event == "PET_BATTLE_CLOSE" then
		self:Show();
	end
	if event == "PET_BATTLE_OPENING_START" then
		self:Hide();
	end
end

function BattlePetFrame_OnUpdate(self, elapsed)
  self.TimeSinceLastUpdate = self.TimeSinceLastUpdate + elapsed; 	

  if (self.TimeSinceLastUpdate > 1.0) then
    updateBars();
	trackingSet();
    self.TimeSinceLastUpdate = 0;
  end
end


function updateBars()
  local icons ={sub1, sub2, sub3};
  for i=1,3 do
	pet = C_PetJournal.GetPetLoadOutInfo(i);
	if pet then
		local _,_, petLevel ,petCurrentXp,petMaxXp,_,_,petName,petIcon,petType = C_PetJournal.GetPetInfoByPetID(pet);
		local petHealth, petMaxHealth, _,_, petRarity = C_PetJournal.GetPetStats(pet);
		
		icons[i].icon.tex:SetTexture(petIcon);
		icons[i].icon.levelFrame.levelText:SetText(petLevel);
		setBarColor(icons[i].healthBar, petRarity);
		--icons[i].healthBar:SetStatusBarColor(30/255,255/255,25/255);
		icons[i].healthBar:SetMinMaxValues(0, petMaxHealth);
		icons[i].healthBar:SetValue(petHealth);
		icons[i].healthBar.hpText:SetText(string.format("%i / %i HP", petHealth, petMaxHealth))
		if petLevel ~= 25 then
			icons[i].experBar:SetStatusBarColor(217/255,10/255,10/255);
			icons[i].experBar:SetMinMaxValues(0, petMaxXp);
			icons[i].experBar:SetValue(petCurrentXp);
			icons[i].experBar.xpText:SetText(string.format("%i / %i XP", petCurrentXp, petMaxXp));
		else
			icons[i].experBar:SetStatusBarColor(217/255,10/255,10/255);
			icons[i].experBar:SetMinMaxValues(0, petMaxXp);
			icons[i].experBar:SetValue(petMaxXp);
			icons[i].experBar.xpText:SetText("");
		end
	end
  end
end

function setBarColor(bar, color)
	if color == 1 then
	 bar:SetStatusBarColor(145/255, 145/255, 145/255);
	elseif color == 2 then
	 bar:SetStatusBarColor(255/255, 255/255, 255/255);
	elseif color == 3 then
	 bar:SetStatusBarColor(35/255, 255/255, 35/255);
	elseif color == 4 then
	 bar:SetStatusBarColor(5/255, 35/255, 255/255);
	elseif color == 5 then
	 bar:SetStatusBarColor(140/255, 3/255, 255/255);
	elseif color == 6 then
	 bar:SetStatusBarColor(245/255, 115/255, 5/255);
	end
end

local tracking = "";

function trackingSet()
	local count = GetNumTrackingTypes();
	for i=1, count do
		name, _, active = GetTrackingInfo(i);
		if name =="Track Pets" then
			if active then
			  tracking = "Active";
			else
			  tracking = "Off";
			end
		end
	end
end

function toggleTrackPets()
	local count = GetNumTrackingTypes();
	
	for i=1, count do
		name, _, active = GetTrackingInfo(i);
		if name =="Track Pets" then
			if active then
			  SetTracking(i,false);
			else
			  SetTracking(i, true);
			end
		end
	end
end



function healButton_OnEnter()
	local cursorX, cursorY = GetCursorPosition();
	local offsetX = 20;
	local offsetY = 20;
	local scale = GameTooltip:GetEffectiveScale();
	GameTooltip:SetOwner(UIParent, "ANCHOR_NONE");
	GameTooltip:SetPoint( "BOTTOMLEFT", UIParent, "BOTTOMLEFT", (cursorX/scale) + offsetX, (cursorY/scale) + offsetY);
	GameTooltip:SetText( "LEFT-CLICK: Casts spell - Revive Battle Pets\nRIGHT-CLICK: Uses a Battle Pet Bandage" );
	GameTooltip:Show();
end

function trackButton_OnEnter()
	local cursorX, cursorY = GetCursorPosition();
	local offsetX = 20;
	local offsetY = 20;
	local scale = GameTooltip:GetEffectiveScale();
	GameTooltip:SetOwner(UIParent, "ANCHOR_NONE");
	GameTooltip:SetPoint( "BOTTOMLEFT", UIParent, "BOTTOMLEFT", (cursorX/scale) + offsetX, (cursorY/scale) + offsetY);
	GameTooltip:SetText(string.format( "Tracking is currently: %s", tracking ));
	GameTooltip:Show();
end

function healButton_OnLeave()
  GameTooltip:Hide();
end

function trackButton_OnLeave()
  GameTooltip:Hide();
end
